/****************************************************************************************
    Copyright 2004 uja
    This file is part of Otashi which runs under GPL
*****************************************************************************************/

//language specific text:
// ----------------------

#define _CLOSE         "schliessen"
#define _HELP          "Wie spielt man..."
#define _HISCORE       "Bestenliste"
#define _HISCORERESET  "Bestenliste lschen"
#define _HSCMESS0      "Du hast Dir mit "        
#define _HSCMESS1      "Punkten einen Platz in der Bestenliste erobert!\nBitte gib Deinen Namen ein:"
#define _CONFRESET     "Soll die Bestenliste tatschlich zurckgesetzt werden?"
#define _YES           "Ja, klar doch!"
#define _NO            "Nee, lieber doch nicht!"
#define _INFO          "Info"

#define _LLEVEL        "<b>Level:</b>"      
#define _LSCORE        "<b>Punkte:</b>"
#define _LTIME         "<b>Zeit</b>:"
#define _LICENSE       "Lizenzbestimmungen"
#define _LOADLEVEL     "Spiel laden von"
#define _LOCAL         "lokal"
#define _MENU1         "Spiel                     "
#define _MENU2         "Netzwerkmodus             "
#define _MENU3         "Spielstand laden/speichern"
#define _MENU4         "Info"
#define _NET           "Netzwerk"

#define _NEWGAME       "&neues Spiel"
#define _PAUSE         "&Pause"
#define _QUIT          "beenden"
#define _RESTARTLEVEL  "&Level von vorne"
#define _SAVELEVEL     "Spiel speichern auf"
#define _SAVEPARMS     "Parameter speichern"

// -------------------------------------------------------------

// layout and game parameters:
#define TITEL     "ujagames_qt Vol.1: Otashi"  // Programmtitel
#define TITELBILD "./images/ue.png"        // Titel-Schmuckbild
#define PROGICON  "./images/progicon.png"  // icon
#define INIFILE   "./gameparm.ini"         // some game parameters
#define SPEICHER  "./speicher.ini"         // stores for gamers 
#define PROGNAME  "Otashi"
#define BILDPFAD  "./images/"

// module window
#define WIN_BMAX 800
#define WIN_HMAX 480
#define WIN_BMIN 600
#define WIN_HMIN 400
#define BACKGR0   "#112233"                     // Aussenfenster Hintergrund
#define COLOR0    "#cccc99"                     // Aussenfenster Textfarbe
#define BACKPIX0  "./images/ebenholz.png"       // Aussenfenster Textur
#define BACKGR1   "#001122"                     // Spielfeld Hintergrund
#define COLOR1    "#cccc99"                     // Spielfeld Textfarbe
#define BACKPIX1  "./images/aztech_448.png"       
#define BACKGR2   "#ccbb99"                     // Anzeigen Hintergrund
#define BACKPIX2 "./images/mahagoni.png"
#define COLOR2    "#ffffcc"                     // Anzeigen Textfarbe 

#define RANDHCOLOR "#6699cc"
#define RANDDCOLOR "#330000"

// module hiscore:
#define HSCBREITE  480
#define MAXEINTRAG 20                              // max. number entries
#define HSCFILE    "./texte/hiscore.csv"           // hiscore file when hiscore.ini is missing
#define TIMEFORM   "dd.MM.yyyy hh:mm:ss"           // time formatting
#define HSCGRENZE  5                               // top player size
#define PAPERBILD  "./images/reispapier_weiss.png" // background image hiscore
#define PAPCOLOR0  "#ddcc99"                       // frame color hiscore
#define HICOLOR    "#990011"                       // Hiscore top color
#define LOCOLOR    "#003355"                       // Hiscore textcolor
#define HSCPOTT    "./images/pott.png"             // Trophy

// module Textviewer:
#define HELPFILE   "./texte/hilfe.rtf"
#define INFOFILE   "./texte/info.rtf"
#define GPLFILE    "./texte/gpl.rtf"
#define HELPBREITE 400
#define INFOBREITE 284

// Sprites and other game parameters:
#define NUMBG       2  // 2 background modi
#define NUMCHIPS   95  // number sprite states
#define NUMVORRAT   5  // preview size

#define CHIPSPICS   "./images/c_%1.png"
#define BGPICS      "./images/b_%1.png"
#define GAMEOVERPIC "./images/gover.png"
#define PAUSEPIC    "./images/pause.png"

#define ZEIT0 500   // max. time for a level
#define DX     48   // tilesize
#define DY     48   // tilesize
#define OFX    32   // border
#define OFY    32   // border
#define XMAX    8   // board size in tiles
#define YMAX    8   // board size in tiles
#define SMAX   64   // max. tiles used

// ------------------------------------------------------------------------------------
